/* IMPORTS */
@import url("./mainRoot.css");
@import url("./mainIcons.css");
@import url("./mainComponents.css");
@import url("./mainUtility.css");
@import url("./mainMovie.css");


/* RESET */
* {
    margin: 0;
    padding: var(--pd-1);
    box-sizing: border-box;
    outline: none;
    box-shadow: none;
    border: none;
    text-decoration: none;
    list-style: none;
    font-family: var(--ff-primary);
    font-style: var(--font-style);
    -webkit-tap-highlight-color: transparent;
}

/*
=========================================
PAGE HEADER
=========================================
*/

.page-header {
    display: flex;
    justify-content: space-between;
    gap: var(--gap-4);
    padding: var(--pd-6);
    margin-bottom: 8px;
    border-bottom: 1px solid var(--card-shadow);
    padding-bottom: 8px;
    border-radius: var(--rd-6);
    align-items: top;
    box-shadow: inset 4px 4px 8px var(--shadow-white-2),
        4px 4px 8px var(--shadow-black);
    background: var(--primary-1);
}

.title {
    color: var(--text-white);
}

.subtitle {
    color: var(--text-muted);
}

.catalog-tabs {
    display: flex;
    gap: var(--gap-5);
    min-height: 50px;
    overflow: auto;
    padding: 10px;
    border-radius: var(--rd-6);
    background: var(--sidebar-bg);
    box-shadow: 4px 4px 4px var(--shadow);
}

.catalog-tab {
    position: relative;
    padding: 12px 18px;
    border-radius: 999px;
    background: var(--page-bg);
    color: var(--text);
    border: 1px solid var(--text-soft);
    cursor: pointer;
    white-space: nowrap;
    font-weight: var(--fw-black);
    text-transform: uppercase;
}

.catalog-tab.active {
    background: var(--primary-1);
    color: var(--font-bg-2);
}

.catalog-tab-count {
    position: absolute;
    top: -5px;
    right: -5px;
    background: var(--accent-1);
    color: var(--primary-1);
    width: 25px;
    height: 25px;
    border-radius: 50%;
    border: 1px solid var(--accent-2);
    box-shadow: 2px 3px 2px var(--shadow-black-2), inset 2px 3px 2px var(--shadow-white-2), inset -2px -3px 2px var(--accent-2);
    font-size: 11px !important;
    font-weight: var(--fw-extra) !important;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* TAGs - BADGES */
.mini-badge,
.badge,
.tag {
    position: relative;
    display: flex;
    align-items: center;
    text-align: center;
    text-wrap: balance;
    align-content: center;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    overflow: hidden;
    padding: 5px;
    border: 1px solid var(--color_2);
    background: var(--font-bg-2);
    color: var(--color_2);
    justify-self: center;
    width: fit-content;
}

.mini-badge::after,
.badge::after,
.tag::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    pointer-events: none;
    background: var(--color_1);
    z-index: 5;
}

.badge {
    border-radius: 8px;
    min-width: 200px;
}

.tag {
    border-radius: 999px;
    min-width: 100px;
}

.mini-badge {
    position: absolute;
    padding: 3px;
    bottom: 3px;
    right: 3px;
    font-size: 12px !important;
    border-radius: 999px;
    width: 68px;
    height: fit-content;
    z-index: 3;
    justify-content: center;
}

/*
=========================================================
HEADER
=========================================================
*/

.card-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    width: 100%;
    height: 28px;
    left: 0;
    top: 2px;
    padding-left: 10px;
    z-index: 4 !important;
    color: var(--text-negative);
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

.card-header span {
    pointer-events: none !important;
}

.card-body {
    display: flex;
    flex-direction: column;
    gap: var(--gap-3);
    padding: 60px 20px 10px 10px;
}

.card-body-col {
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: var(--gap-2);
    justify-content: space-between;
    align-items: left;
    padding: var(--pd-1);
}

.card-body-row {
    height: 100%;
    display: flex;
    flex-direction: row;
    gap: var(--gap-3);
    ;
    justify-content: space-between;
    align-items: center;
}

.card-body-row div {
    min-width: 40%;
}

.card-client-area {
    display: flex;
    flex-direction: column;
    width: 60%;
    gap: var(--gap-3);
    ;
    padding-bottom: 14px;
    border-bottom: 1px solid var(--card-shadow);
}

.card-label {
    font-weight: var(--fw-bold);
    font-size: 12px;
    color: var(--text);
    padding: 4px;
}

.card-label.short {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-value {
    font-weight: var(--fw-black);
    font-size: 14px;
    color: var(--text-soft);
    border-radius: 20px;
    padding: 4px 12px;
}

.card-value.short {
    height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-value.medium {
    height: 36px;
    border: 1px solid var(--card-shadow);
    overflow: hidden;
    overflow-y: auto;
}

.card-value.long {
    height: 100%;
    min-height: 50px;
    border: 1px solid var(--card-shadow);
    overflow: hidden;
    overflow-y: auto;
}

.card-item.large .card-value.long {
    max-height: 50px;
}

/*
=========================================
CARD PREVIEW
=========================================
*/
.card-preview {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    align-self: center;
    overflow: hidden;
    width: 100%;
    max-width: 186px;
    aspect-ratio: 1;
    padding: var(--pd-1);
    border-radius: var(--rd-8);
}

.card-item.large .card-preview {
    width: 130px;
}

.card-preview .text-preview {
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 14px;
    font-size: clamp(12px, 4vh, 52px) !important;
    color: var(--font-bg);
    text-shadow: 2px 2px 5px var(--shadow-white-2);
    text-align: center;
    line-height: 1;
    word-break: break-word;
    overflow-wrap: break-word;
    overflow: hidden;
    transition: .3s;
    container-type: inline-size;
}

.card-preview img {
    width: auto;
    height: auto;
    max-width: 90%;
    max-height: 90%;
}



/*
=========================================
CARD INFO
=========================================
*/

.card-info {
    padding: 5px 0;
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: var(--gap-3);
}

.card-info .card-title-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
    width: 132px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-item.medium .card-info {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-item.medium .card-info .card-title-wrapper {
    width: 130px;
}

.card-field {
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: var(--gap-3);
}

.card-item.large .card-field {
    gap: 0;
}

/*
=========================================================
TITLE
=========================================================
*/
.card-title {
    font-weight: var(--fw-black) !important;
    color: var(--text);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    font-size: 1.15rem;
}

.card-category-name {
    font-weight: var(--fw-regular) !important;
    color: var(--text-soft);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}


/*
=========================================================
ID
=========================================================
*/

.card-id {
    position: absolute;
    top: 30px;
    left: 24px;
    padding: 5px;
    font-size: 12px !important;
    font-weight: var(--fw-black) !important;
}


.card-header .card-value {
    position: relative;
    font-size: 12px !important;
    font-weight: var(--fw-regular) !important;
    width: 200px;
    height: 28px;
    line-height: 28px;
    padding: 2px var(--gap-8);
    z-index: 2;
    color: var(--img-bg-1);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-item.large .card-value[name="vector"] {
    max-width: 130px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-status {
    height: 28px;
    width: 118px;
    background: var(--color_1);
    color: var(--page-bg);
    text-transform: uppercase;
    border: none;
    cursor: pointer;
    position: relative;
    z-index: 5;
    font-size: 12px !important;
    font-weight: var(--fw-black) !important;
    box-shadow: inset 2px 2px 4px var(--shadow-white-2),
        inset -0px -2px 2px var(--shadow),
        2px 2px 4px var(--shadow-white-2),
        -2px -2px 4px var(--card-shadow);
}

.card-item.large .card-status {
    border-radius: 20px 36px 0 20px;
    border: 1px solid var(--color_1);
}

.card-status-wrapper {
    position: absolute;
    right: 15px;
    top: 1px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 4 !important;
}

/* DOT */
.card-status::before {
    content: "";
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: var(--shadow-negative-1);
    box-shadow: 0 0 10px var(--shadow-negative-2);
}

/*
=========================================================
DROPDOWN
=========================================================
*/

.card-status-dropdown {
    position: absolute;
    top: calc(100% - 6px);
    right: 0;
    width: 118px;
    gap: var(--gap-1);
    background: var(--page-bg);
    border-radius: 0 0 18px 18px;
    display: flex;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px) scale(.96);
    transition: .28s cubic-bezier(.22, 1, .36, 1);
    box-shadow: 0 18px 35px var(--card-shadow);
    border: 2px solid var(--color_1);
    pointer-events: none;
    z-index: 999;
}

/*
=========================================================
OPEN
=========================================================
*/

.card-status-wrapper.open .card-status {
    border-radius: 15px 15px 0 0;
}


.card-status-wrapper.open .card-status-dropdown {
    opacity: 1;
    visibility: visible;
    transform: translateY(0) scale(1);
    pointer-events: all;
}

.card-item.reminder .card-status-wrapper.open .card-status-dropdown {
    transform: translateY(6px) translateX(2px) scale(1);
}

/*
=========================================================
OPTION
=========================================================
*/

.card-status-option {
    width: 100%;
    height: 25px;
    border: none;
    background: transparent;
    border-radius: 14px;
    padding: var(--pd-1);
    padding-left: 15px;
    display: flex;
    justify-content: left;
    align-items: center;
    cursor: pointer;
    font-size: 11px !important;
    font-weight: var(--fw-black);
    color: var(--text);
    transition: .2s ease;
    opacity: 0;
    transform: translateY(-8px);
    box-shadow: 0px 2px 2px var(--card-shadow);
}

/*
=========================================================
CASCADE EFFECT
=========================================================
*/

.card-status-wrapper.open .card-status-option {
    opacity: 1;
    transform: translateY(0);
}

.card-status-wrapper.open .card-status-option:nth-child(1) {
    transition: .25s ease .05s;
}

.card-status-wrapper.open .card-status-option:nth-child(2) {

    transition: .25s ease .1s;
}

.card-status-wrapper.open .card-status-option:nth-child(3) {
    transition:
        .25s ease .15s;
}

.card-status-wrapper.open .card-status-option:nth-child(4) {
    transition:
        .25s ease .2s;
}

.card-status-wrapper.open .card-status-option:nth-child(5) {
    transition:
        .25s ease .25s;
}

.card-status-wrapper.open .card-status-option:nth-child(6) {
    transition:
        .25s ease .3s;
}

/*
=========================================================
DOTS
=========================================================
*/

.card-status-option .dot {
    width: 7px;
    height: 7px;
    border-radius: 50%;
}

/* COLORS */
.card-status-option.pending .dot {
    background: var(--gray-color-1);
}

.card-status-option.accepted .dot {
    background: var(--blue-color-1);
}

.card-status-option.waiting .dot {
    background: var(--yellow-color-1);
}

.card-status-option.progress .dot {
    background: var(--purple-color-1);
}

.card-status-option.done .dot {
    background: var(--green-color-1);
}

.card-status-option.cancelled .dot {
    background: var(--red-color-1);
}

/*
=========================================
MODAL
=========================================
*/

.modal-overlay,
.modal-overlay-popup {
    position: fixed;
    inset: 0;
    background: var(--shadow);
    backdrop-filter: blur(6px);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 99999;
    padding: 20px;
    opacity: 0;
    pointer-events: none;
    transition: .25s;
}

.modal-overlay *,
.modal-overlay-popup * {
    opacity: 0;
    pointer-events: none;
}

body:has(.modal-overlay.active) .pages {
    pointer-events: none;
    user-select: none;
}

.modal-overlay-popup.active,
.modal-overlay.active {
    opacity: 1;
    pointer-events: all;
}

.modal-overlay-popup.active *,
.modal-overlay.active * {
    opacity: 1;
    pointer-events: all;
}

.modal-overlay-popup {
    backdrop-filter: blur(0px);
    background: transparent;
}

.main-modal-dialog,
.main-modal-settings,
.main-modal {
    width: 100%;
    max-width: 1200px;
    max-height: 95vh;
    overflow: hidden;
    background: var(--page-bg);
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    box-shadow: 0 20px 60px var(--shadow);
}

.main-modal-dialog {
    height: 400px;
    width: 420px;
}

.main-modal-settings {
    position: absolute;
    height: 600px;
    width: 420px;
    left: 75px;
}

.main-modal-lead {
    flex-direction: row;
    justify-content: space-between;
    position: absolute;
    top: 200px;
    left: 412px;
    height: 300px;
    width: calc(-435px + 100dvw);
    border: 1px solid var(--shadow);
    border-radius: 20px 20px 0px 0px;
    padding: 10px;
    z-index: 99999;
}

.dialog-content {
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--gap-9);
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--gap-8);
    background: var(--primary-1);
    color: var(--text-negative);
    padding: 24px 30px;
}

.modal-header h1,
h2 {
    color: var(--img-bg-1);
}

.modal-body {
    padding: 28px;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: var(--gap-9);
}

.modal-footer {
    padding: 24px 28px;
    border-top: 1px solid var(--card-shadow);
    display: flex;
    justify-content: flex-end;
    gap: var(--gap-7);
}

.dialog-footer {
    width: 100%;
    padding: 24px 28px;
    border-top: 1px solid var(--card-shadow);
    display: flex;
    justify-content: space-around;
    gap: var(--gap-7);
}
